Overview | Modules | Class Hierarchy | Classes | Members

# tlp::MouseNodeBuilder Class Reference
[Mouse_interactor]

`#include <MouseNodeBuilder.h>`

Inheritance diagram for tlp::MouseNodeBuilder:
[legend]
Collaboration diagram for tlp::MouseNodeBuilder:
[legend]

List of all members.

## Public Member Functions

- MouseNodeBuilder (QEvent::Type eventType=QEvent::MouseButtonPress)
- ~MouseNodeBuilder ()
- bool eventFilter (QObject *, QEvent *)
- InteractorComponent * clone ()

## Constructor & Destructor Documentation

tlp::MouseNodeBuilder::MouseNodeBuilder | ( | QEvent::Type | eventType = `QEvent::MouseButtonPress` | ) | `[inline]`

tlp::MouseNodeBuilder::~MouseNodeBuilder | ( |  | ) | `[inline]`

## Member Function Documentation

InteractorComponent* tlp::MouseNodeBuilder::clone | ( |  | ) | `[inline, virtual]`

Clone this interactor component

Implements tlp::InteractorComponent.

bool tlp::MouseNodeBuilder::eventFilter | ( | QObject * | ,
|  | QEvent * |  |
| ) |  |  |

Tulip Software by LaBRI Visualization Team 2001 - 2012